Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(29)

Issue 731573004: Implement ES6 String.raw behind --harmony-templates (Closed)

Created:
5 years, 1 month ago by caitp (gmail)
Modified:
5 years ago
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Project:
v8
Visibility:
Public.

Description

Implement ES6 String.raw behind --harmony-templates BUG= Committed: https://chromium.googlesource.com/v8/v8/+/e829bcd73b2fa1c0bbe3da36a723fa77c734a05c

Patch Set 1 #

Patch Set 2 : oops #

Total comments: 13

Patch Set 3 : Updated #

Patch Set 4 : Add more tests #

Patch Set 5 : Fixup assertions #

Total comments: 10

Patch Set 6 : Nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+300 lines, -0 lines) Patch
M src/harmony-templates.js View 1 2 3 4 5 1 chunk +34 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/string-raw.js View 1 2 3 4 5 1 chunk +258 lines, -0 lines 0 comments Download
M test/mjsunit/harmony/templates.js View 1 2 1 chunk +8 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (5 generated)
caitp (gmail)
A quick addition to the String object which makes more sense now that templates are ...
5 years, 1 month ago (2014-11-14 21:06:52 UTC) #1
arv (Not doing code reviews)
I think it would make more sense to put this under --harmony-templates https://codereview.chromium.org/731573004/diff/20001/src/harmony-string.js File src/harmony-string.js ...
5 years, 1 month ago (2014-11-14 22:54:25 UTC) #3
caitp (gmail)
I felt like it made more sense under --harmony-strings because it doesn't really depend on ...
5 years, 1 month ago (2014-11-14 23:29:58 UTC) #4
arv (Not doing code reviews)
https://codereview.chromium.org/731573004/diff/20001/src/harmony-string.js File src/harmony-string.js (right): https://codereview.chromium.org/731573004/diff/20001/src/harmony-string.js#newcode187 src/harmony-string.js:187: while (true) { On 2014/11/14 23:29:58, caitp wrote: > ...
5 years, 1 month ago (2014-11-14 23:42:18 UTC) #5
caitp (gmail)
On 2014/11/14 23:42:18, arv wrote: > https://codereview.chromium.org/731573004/diff/20001/src/harmony-string.js > File src/harmony-string.js (right): > > https://codereview.chromium.org/731573004/diff/20001/src/harmony-string.js#newcode187 > ...
5 years ago (2014-11-18 15:38:56 UTC) #7
arv (Not doing code reviews)
LGTM, just some style nits. You will need an owner to approve this too. https://codereview.chromium.org/731573004/diff/100001/src/harmony-templates.js ...
5 years ago (2014-11-18 19:05:28 UTC) #10
caitp (gmail)
Done and done! https://codereview.chromium.org/731573004/diff/100001/src/harmony-templates.js File src/harmony-templates.js (right): https://codereview.chromium.org/731573004/diff/100001/src/harmony-templates.js#newcode19 src/harmony-templates.js:19: // TODO(*): Use rest parameters when ...
5 years ago (2014-11-18 19:11:54 UTC) #11
Dmitry Lomov (no reviews)
lgtm
5 years ago (2014-11-18 20:43:37 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/731573004/120001
5 years ago (2014-11-18 21:09:06 UTC) #14
commit-bot: I haz the power
5 years ago (2014-11-19 04:44:43 UTC) #15
Message was sent while issue was closed.
Committed patchset #6 (id:120001)

Powered by Google App Engine
This is Rietveld 408576698